# Generated by Django 4.2 on 2023-04-25 12:58

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Form',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FormStep',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('step_number', models.IntegerField()),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True)),
                ('form', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='steps', to='multistepform.form')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FormResponse',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('submitted_at', models.DateTimeField(auto_now_add=True)),
                ('data', models.JSONField()),
                ('form', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='responses', to='multistepform.form')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FormField',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('field_type', models.CharField(choices=[('text', 'Text'), ('number', 'Number'), ('email', 'Email'), ('url', 'URL'), ('password', 'Password'), ('checkbox', 'Checkbox'), ('radio', 'Radio'), ('select', 'Select'), ('file', 'File Upload'), ('date', 'Date'), ('time', 'Time'), ('datetime', 'Date-Time'), ('color', 'Color Picker'), ('range', 'Range Slider'), ('hidden', 'Hidden'), ('custom', 'Custom')], max_length=20)),
                ('name', models.CharField(max_length=255)),
                ('label', models.CharField(max_length=255)),
                ('placeholder', models.CharField(max_length=255)),
                ('help_text', models.TextField(blank=True)),
                ('validation_regex', models.CharField(blank=True, max_length=255)),
                ('validation_error_message', models.CharField(blank=True, max_length=255)),
                ('is_required', models.BooleanField(default=True)),
                ('is_hidden', models.BooleanField(default=False)),
                ('is_readonly', models.BooleanField(default=False)),
                ('options', models.JSONField(blank=True, null=True)),
                ('step', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='fields', to='multistepform.formstep')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
